Subject: Re: [PATCH 00/25] CI: run "make [test]" directly, use $GITHUB_ENV

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Feb 2022 12:12:25 -0800

Phillip Wood <[email-masked]> writes:

> I can see that showing compilation errors without having to expand
> anything is useful but in my experience they are relatively rare 
> compared to test failures. If I understand the rest of the message
> correctly we're left with having to expand print-test-failures and 
> searching for "not ok" to find out what went wrong with this series.

It matches my experience that most of the time I have to look for
test errors, not compilation errors.  Having to expand the other
group and looking for "not ok" is something I've got accustomed to,
so if that part improves, that would be great, but if that part does
not become worse, then that is OK, at least to me ;-)